### Signal

# SpiceClientGtk UsbDeviceWidget::connect-failed

#### Declaration

    void
    connect_failed (
      SpiceUsbDeviceWidget* self,
      SpiceUsbDevice* device,
      GError* error,
      gpointer user_data
    )

#### Description [src]

The `SpiceUsbDeviceWidget::connect-failed` signal is emitted whenever the user has requested for a device to be redirected and this has failed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  `SpiceUsbDevice` boxed object corresponding to the added device.

  The data is owned by the caller of the function.

`error`

  Type: `GError`

  `GError` describing the reason why the connect failed.

  The data is owned by the caller of the function.